I have a shader which only uses 1.50 (OpenGL 3.2) code which I label as "version 1.50" regardless of the installed driver.
Should I have a different copy labelled "version 4.30" when running on an OpenGL 4.3 driver so the compile optimise the code if the hardware if 4.3 compliant?